%define upstream_name	 Class-C3-XS
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:	XS speedups for Class::C3 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

Buildrequires:	perl-devel
%{?perl_default_filter}

%description
This contains XS performance enhancers for Class::C3 version 0.16 and higher.
The main Class::C3 package will use this package automatically if it can find
it. Do not use this package directly, use Class::C3 instead.

The test suite here is not complete, although it does verify a few basic
things. The best testing comes from running the Class::C3 test suite *after*
this module is installed.

This module won't do anything for you if you're running a version of Class::C3
older than 0.16. (It's not a dependency because it would be circular with the
optional dep from that package to this one).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%{__make} test

%install
%makeinstall_std

%files
%doc ChangeLog README
%{perl_vendorarch}/Class
%{perl_vendorarch}/auto/Class
%{_mandir}/*/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.130.0-14.mga6
+ Revision: 1023887
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.130.0-13.mga6
+ Revision: 956854
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 tv <tv> 0.130.0-12.mga6
+ Revision: 843617
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.130.0-11.mga5
+ Revision: 743145
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.130.0-10.mga5
+ Revision: 732931
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.130.0-9.mga5
+ Revision: 683891
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.130.0-8.mga5
+ Revision: 630866
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.130.0-7.mga4
+ Revision: 524727
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.130.0-6.mga4
+ Revision: 431377
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-5.mga3
+ Revision: 364298
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.130.0-4.mga3
+ Revision: 250319
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.130.0-3.mga2
+ Revision: 103618
- perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 0.130.0-2.mga1
+ Revision: 9915
- imported package perl-Class-C3-XS


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.130.0-2mdv2011.0
+ Revision: 555226
- rebuild

* Fri Sep 25 2009 Jérôme Quelin <jquelin@mandriva.org> 0.130.0-1mdv2010.0
+ Revision: 448607
- update to 0.13

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.110.0-1mdv2010.0
+ Revision: 403005
- rebuild using %%perl_convert_version

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-1mdv2010.0
+ Revision: 370032
- update to new version 0.11

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.08-4mdv2009.0
+ Revision: 255893
- rebuild

* Mon Jan 14 2008 Thierry Vignaud <tv@mandriva.org> 0.08-2mdv2008.1
+ Revision: 151854
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2008.0
+ Revision: 48053
- import perl-Class-C3-XS


* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2008.0
- initial mdv release
